Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002194KdenliveUser Interfacepublic2011-06-25 22:572011-11-01 18:56
Reporterigloo 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSDebian LinuxOS Versionunstable
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002194: Crash when unchecking "proxy" on a clip
DescriptionThis happened 3 times in a row, so I selected "always" as reproducibility, but it may actually be random. I've seen a number of crashes before, mostly when selecting or deselecting proxy for multiple clips at once. I have r5728.
Steps To ReproduceI don't have a reasonable testcase to give you, I'm afraid, but basically I just load a project in kdenlive, right click a clip, and deselect "proxy".
Additional InformationApplication: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f0a5f92d780 (LWP 20834))]

Thread 4 (Thread 0x7f0a395b3700 (LWP 20842)):
#0 0x00007f0a5d37a63b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f0a5e9f661e in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007f0a5e9ead6f in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007f0a5e9f6215 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007f0a5d375b40 in start_thread () from /lib/libpthread.so.0
0000005 0x00007f0a595a32ed in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0a24145700 (LWP 20849)):
#0 0x00007f0a595986a3 in poll () from /lib/libc.so.6
#1 0x00007f0a5690e8fa in ?? () from /usr/lib/libxcb.so.1
0000002 0x00007f0a5690eec1 in ?? () from /usr/lib/libxcb.so.1
0000003 0x00007f0a5690f172 in xcb_writev () from /usr/lib/libxcb.so.1
0000004 0x00007f0a5cc516f6 in _XSend () from /usr/lib/libX11.so.6
0000005 0x00007f0a5cc46eeb in XQueryExtension () from /usr/lib/libX11.so.6
0000006 0x00007f0a5cc3a6a4 in XInitExtension () from /usr/lib/libX11.so.6
0000007 0x00007f0a5ca05c92 in XextAddDisplay () from /usr/lib/libXext.so.6
0000008 0x00007f0a5ca00d79 in XShmPutImage () from /usr/lib/libXext.so.6
0000009 0x00007f0a4901ed03 in ?? () from /usr/lib/libSDL-1.2.so.0
0000010 0x00007f0a49010efc in SDL_UpdateRect () from /usr/lib/libSDL-1.2.so.0
0000011 0x00007f0a49011123 in SDL_Flip () from /usr/lib/libSDL-1.2.so.0
0000012 0x00007f0a492871a9 in consumer_play_video (arg=<value optimized out>) at consumer_sdl_still.c:538
0000013 consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:577
0000014 0x00007f0a5d375b40 in start_thread () from /lib/libpthread.so.0
0000015 0x00007f0a595a32ed in clone () from /lib/libc.so.6
0000016 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0a24946700 (LWP 20850)):
#0 0x00007f0a5d37a2c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f0a492861a0 in consumer_thread (arg=0x19c59e0) at consumer_sdl_preview.c:449
0000002 0x00007f0a5d375b40 in start_thread () from /lib/libpthread.so.0
0000003 0x00007f0a595a32ed in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0a5f92d780 (LWP 20834)):
[KCrash Handler]
0000006 mlt_deque_pop_back (self=0x0) at mlt_deque.c:130
0000007 0x00007f0a3e5658ec in producer_avformat_close (self=0x3110fb0) at producer_avformat.c:2573
0000008 0x00007f0a5f543636 in cache_object_close (object=<value optimized out>, data=0x0, cache=<value optimized out>) at mlt_cache.c:131
0000009 0x00007f0a5f543b58 in mlt_cache_put (cache=0x2781ae0, object=0x7f0a2c078090, data=0x7f0a2c095f30, size=0, destructor=0x7f0a3e5657d0 <producer_avformat_close>) at mlt_cache.c:355
0000010 0x00007f0a3e5699b1 in producer_avformat_init (profile=0x1a0e8e0, service=<value optimized out>, file=0x23dc8d0 "/home/ian/ext2/igloo/unsorted_raw/saturday-lynagh-cam/STREAM/00007.deinter.mp4") at producer_avformat.c:215
0000011 0x00007f0a5f54118a in mlt_factory_producer (profile=0x1a0e8e0, service=0x7f0a2c005910 "avformat", input=0x23dc8d0) at mlt_factory.c:250
0000012 0x00007f0a3e776e42 in create_from (profile=0x1a0e8e0, file=0x23dc8d0 "/home/ian/ext2/igloo/unsorted_raw/saturday-lynagh-cam/STREAM/00007.deinter.mp4") at producer_loader.c:43
0000013 create_producer (profile=0x1a0e8e0, file=0x23dc8d0 "/home/ian/ext2/igloo/unsorted_raw/saturday-lynagh-cam/STREAM/00007.deinter.mp4") at producer_loader.c:98
0000014 0x00007f0a3e77713c in producer_loader_init (profile=0x1a0e8e0, type=<value optimized out>, id=0x15348e0 "loader", arg=<value optimized out>) at producer_loader.c:198
0000015 0x00007f0a5f54118a in mlt_factory_producer (profile=0x1a0e8e0, service=0x15348e0 "loader", input=0x23dc8d0) at mlt_factory.c:250
0000016 0x00007f0a5f319d7e in Mlt::Producer::Producer(Mlt::Profile&, char const*, char const*) () from /home/ian/code/melt/inst/lib/libmlt++.so.3
0000017 0x00000000005024c5 in DocClipBase::producer (this=0x21d8640, track=3) at /home/ian/code/kdenlive/kdenlive/src/docclipbase.cpp:620
0000018 0x00000000005148e0 in CustomTrackView::slotUpdateClip (this=0x21f50d0, clipId=..., reload=true) at /home/ian/code/kdenlive/kdenlive/src/customtrackview.cpp:4139
0000019 0x0000000000458af9 in CustomTrackView::qt_metacall (this=0x21f50d0, _c=QMetaObject::InvokeMetaMethod, _id=43, _a=0x7fffb5808290) at /home/ian/code/kdenlive/kdenlive/build/src/cmake_bindir/moc_customtrackview.cpp:288
0000020 0x00007f0a5eaef17a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000021 0x0000000000492024 in ProjectList::clipNeedsReload (this=<value optimized out>, _t1=<value optimized out>, _t2=true) at /home/ian/code/kdenlive/kdenlive/build/src/cmake_bindir/projectlist.moc:361
0000022 0x0000000000499f92 in ProjectList::slotReplyGetFileProperties (this=0x17af540, clipId=<value optimized out>, producer=0x214c450, properties=<value optimized out>, metadata=..., replace=<value optimized out>, selectClip=<value optimized out>) at /home/ian/code/kdenlive/kdenlive/src/projectlist.cpp:1701
0000023 0x00000000004a52f6 in ProjectList::qt_metacall (this=0x17af540, _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0x7fffb5808940) at /home/ian/code/kdenlive/kdenlive/build/src/cmake_bindir/projectlist.moc:235
0000024 0x00007f0a5eaef17a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000025 0x00000000004b89fa in Render::replyGetFileProperties (this=<value optimized out>, _t1=<value optimized out>, _t2=0x214c450, _t3=<value optimized out>, _t4=<value optimized out>, _t5=true, _t6=false) at /home/ian/code/kdenlive/kdenlive/build/src/cmake_bindir/renderer.moc:173
0000026 0x00000000004c2a15 in Render::getFileProperties (this=0x1a0e9e0, xml=..., clipId=..., imageHeight=36, replaceProducer=true, selectClip=false) at /home/ian/code/kdenlive/kdenlive/src/renderer.cpp:690
0000027 0x00000000004c70d6 in Render::qt_metacall (this=0x1a0e9e0, _c=<value optimized out>, _id=21, _a=0x7f0a2c0ba070) at /home/ian/code/kdenlive/kdenlive/build/src/cmake_bindir/renderer.moc:153
0000028 0x00007f0a5eaf2d2a in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
0000029 0x00007f0a5a4526d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000030 0x00007f0a5a457561 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000031 0x00007f0a5e548fb6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000032 0x00007f0a5eadc5fc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000033 0x00007f0a5eadf944 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
0000034 0x00007f0a5eb06cc3 in ?? () from /usr/lib/libQtCore.so.4
0000035 0x00007f0a586b94a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000036 0x00007f0a586b9c80 in ?? () from /lib/libglib-2.0.so.0
0000037 0x00007f0a586b9f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000038 0x00007f0a5eb0711f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000039 0x00007f0a5a4f668e in ?? () from /usr/lib/libQtGui.so.4
0000040 0x00007f0a5eadb802 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000041 0x00007f0a5eadb9ff in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000042 0x00007f0a5eadfbd7 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000043 0x0000000000451fbb in main (argc=2, argv=0x7fffb580af58) at /home/ian/code/kdenlive/kdenlive/src/main.cpp:89
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0006980)
j-b-m (administrator)
2011-06-28 20:45

Should be fixed now, svn rev. 5743

- Issue History
Date Modified Username Field Change
2011-06-25 22:57 igloo New Issue
2011-06-28 20:45 j-b-m Note Added: 0006980
2011-06-28 20:45 j-b-m Assigned To => j-b-m
2011-06-28 20:45 j-b-m Status new => feedback
2011-10-02 21:51 ttill Status feedback => resolved
2011-10-02 21:51 ttill Fixed in Version => 0.8.2
2011-10-02 21:51 ttill Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker